> For the complete documentation index, see [llms.txt](https://developers.docstudio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.docstudio.com/api-documentation/api-methods/account-domains/verify-account-domain.md).

# Verify Account Domain

Use this endpoint to choose the domain verification method and get the DNS values required for verification.

### Request domain verification

<table data-header-hidden><thead><tr><th width="243"></th><th></th></tr></thead><tbody><tr><td>Endpoint</td><td></td></tr><tr><td>Method</td><td>PATCH</td></tr><tr><td>Request URL</td><td><code>/api/v1/account/{accountUuid}/domain/{domainUuid}/verify</code></td></tr><tr><td><strong>Headers</strong></td><td></td></tr><tr><td>Authorization *</td><td>Bearer TOKEN</td></tr><tr><td>Content-Type</td><td>application/json</td></tr><tr><td><strong>Request</strong></td><td></td></tr><tr><td>accountUuid *</td><td>Target account UUID</td></tr><tr><td>domainUuid *</td><td>Account domain UUID</td></tr><tr><td>Body *</td><td><pre><code>{
    "method": "string"
}
</code></pre></td></tr></tbody></table>

### **Request example**

```json
{
  "method": "DNS_CNAME_RECORD"
}
```

### **Response example**

This response returns the verification data you must add to DNS. This step does not activate the domain.

```json
{
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "domain": "google.com",
    "status": "UNVERIFIED",
    "verifyInfo" : {
        "domain": "_whitedoc-verify",
        "value": "abc123"
    },
    "verifyMethod": "DNS_TXT_RECORD"
}
```

Add `verifyInfo.domain` and `verifyInfo.value` to DNS, then continue with [Confirm Account Domain Verification](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/confirm-account-domain-verification).

### **Response status codes**

| Code | Description      |
| ---- | ---------------- |
| 200  | Success          |
| 400  | Bad request      |
| 401  | Not authorized   |
| 403  | Forbidden        |
| 404  | Domain not found |

### Related topics

* [Confirm Account Domain Verification](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/confirm-account-domain-verification)
* [Domain Statuses & Verify Methods](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/domain-statuses-and-verify-methods)
* [Add Account Domain](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/add-account-domain)
